Package org.flowable.engine.migration

# Interface ProcessInstanceMigrationDocument

public interface ProcessInstanceMigrationDocument

Author:
  Dennis Federico, martin.grofcik

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `asJsonString()`
  `Map<String,Map<String,Object>>`
  `getActivitiesLocalVariables()`
  `List<ActivityMigrationMapping>`
  `getActivityMigrationMappings()`
  `List<EnableActivityMapping>`
  `getEnableActivityMappings()`
  `String`
  `getMigrateToProcessDefinitionId()`
  `String`
  `getMigrateToProcessDefinitionKey()`
  `String`
  `getMigrateToProcessDefinitionTenantId()`
  `Integer`
  `getMigrateToProcessDefinitionVersion()`
  `String`
  `getPostUpgradeJavaDelegate()`
  `String`
  `getPostUpgradeJavaDelegateExpression()`
  `Script`
  `getPostUpgradeScript()`
  `String`
  `getPreUpgradeJavaDelegate()`
  `String`
  `getPreUpgradeJavaDelegateExpression()`
  `Script`
  `getPreUpgradeScript()`
  `Map<String,Object>`
  `getProcessInstanceVariables()`

- ## Method Details

  - ### getMigrateToProcessDefinitionId

    String getMigrateToProcessDefinitionId()

  - ### getMigrateToProcessDefinitionKey

    String getMigrateToProcessDefinitionKey()

  - ### getMigrateToProcessDefinitionVersion

    Integer getMigrateToProcessDefinitionVersion()

  - ### getMigrateToProcessDefinitionTenantId

    String getMigrateToProcessDefinitionTenantId()

  - ### getPreUpgradeScript

    Script getPreUpgradeScript()

  - ### getPreUpgradeJavaDelegate

    String getPreUpgradeJavaDelegate()

  - ### getPreUpgradeJavaDelegateExpression

    String getPreUpgradeJavaDelegateExpression()

  - ### getPostUpgradeScript

    Script getPostUpgradeScript()

  - ### getPostUpgradeJavaDelegate

    String getPostUpgradeJavaDelegate()

  - ### getPostUpgradeJavaDelegateExpression

    String getPostUpgradeJavaDelegateExpression()

  - ### getActivityMigrationMappings

    List<ActivityMigrationMapping> getActivityMigrationMappings()

  - ### getEnableActivityMappings

    List<EnableActivityMapping> getEnableActivityMappings()

  - ### getActivitiesLocalVariables

    Map<String,Map<String,Object>> getActivitiesLocalVariables()

  - ### getProcessInstanceVariables

    Map<String,Object> getProcessInstanceVariables()

  - ### asJsonString

    String asJsonString()